Page MenuHomePhabricator

InstCombine: Reduce trunc (shl x, K) width.
ClosedPublic

Authored by arsenm on Apr 22 2016, 11:29 PM.

Details

Reviewers
majnemer

Diff Detail

Event Timeline

arsenm updated this revision to Diff 54770.Apr 22 2016, 11:29 PM
arsenm retitled this revision from to InstCombine: Reduce trunc (shl x, K) width..
arsenm updated this object.
arsenm added a subscriber: llvm-commits.
majnemer added inline comments.
lib/Transforms/InstCombine/InstCombineCasts.cpp
579–580

You don't seem to check if the dest type is legal.

arsenm added inline comments.May 27 2016, 4:26 PM
lib/Transforms/InstCombine/InstCombineCasts.cpp
579–580

This is handled by the above ShouldChangeType

majnemer accepted this revision.Jun 13 2016, 9:46 AM
majnemer added a reviewer: majnemer.

LGTM

This revision is now accepted and ready to land.Jun 13 2016, 9:46 AM
arsenm closed this revision.Jun 16 2016, 9:50 PM

r272987